## org.apache.commons.math3.geometry.euclidean.twod
Class Euclidean2D.LazyHolder

    java.lang.Object
      org.apache.commons.math3.geometry.euclidean.twod.Euclidean2D.LazyHolder

Enclosing class:
  Euclidean2D

    private static class Euclidean2D.LazyHolder

extends java.lang.Object

Holder for the instance.

We use here the Initialization On Demand Holder Idiom.

Field Summary
`private static Euclidean2D` `INSTANCE` Cached field instance.

Constructor Summary
`private` `Euclidean2D.LazyHolder()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    private static final Euclidean2D INSTANCE

  Cached field instance.

Constructor Detail

### Euclidean2D.LazyHolder

    private Euclidean2D.LazyHolder()

Copyright (c) 2003-2013 Apache Software Foundation